Skip to main content
GET
/
leads
/
{id}
Get lead
curl --request GET \
  --url https://{your-subdomain}.neetocrm.com/api/external/v2/leads/{id} \
  --header 'X-Api-Key: <x-api-key>'
{
  "lead": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Eve",
    "status": "open",
    "unique_number": "L-001",
    "email": "eve@example.com",
    "phone_number": "",
    "contact": {
      "id": null,
      "name": "Eve"
    },
    "company": {
      "id": null,
      "name": null
    },
    "owner": null,
    "tags": [],
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.neetocrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the lead to retrieve. You can get the lead id by listing all leads using our List all leads API.

Response

200 - application/json

Successfully retrieved the lead.

lead
object